> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.shipbob.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.shipbob.com/_mcp/server.

# Get locations


GET https://api.shipbob.com/2025-07/location

Reference: https://developer.shipbob.com/2025-07/api/locations/get-locations

## Authentication

- `Authorization` header (bearer token, required) — Authentication using Personal Access Token (PAT) token
- `Authorization` header (bearer token, required) — OAuth2 authentication using JWT tokens

## Servers

- `https://api.shipbob.com` (https://api.shipbob.com, default)
- `https://sandbox-api.shipbob.com` (https://sandbox-api.shipbob.com)

## Request

### Query parameters

- `IncludeInactive` (boolean, optional) — Whether the inactive locations should be included or not
- `ReceivingEnabled` (boolean, optional) — Return all the receiving enabled locations
- `AccessGranted` (boolean, optional) — Return all the access granted locations

## Response

### 200

Success

- `list of object or object or object or object`
  - Locations.LocationViewModel
    - `abbreviation` (string, optional, nullable) — Abbreviation of the location. Combination of nearest Airport Code and the sequence number.
    - `access_granted` (boolean, optional) — Indicates whether or not the user is authorized to interact at all with the location
    - `attributes` (list of string, optional, nullable) — Available attributes for the location
    - `id` (integer, optional) — Id of the location in ShipBob’s database
    - `is_active` (boolean, optional) — Indicates if the location is operationally active or inactive
    - `is_receiving_enabled` (boolean, optional) — Indicates if the receiving is enabled for FC
    - `is_shipping_enabled` (boolean, optional) — Indicates if the shipping is enabled for FC
    - `name` (string, optional, nullable) — Name of the location. Follows the naming convention City (State Code) for domestic FCs and City (Country Code) for international FCs
    - `region` (object, optional)
      - `id` (integer, optional) — Unique Id for the location region
      - `name` (string, optional, nullable) — Name of the region the location is in.
    - `services` (list of object, optional, nullable) — Services provided by the location
      - `address` (object, optional) — The service-specific address of the location. Each object contains address type, address1, address2, city, state, country, zip code, phone number, and email
        - `address1` (string, optional, nullable) — First part of the address of the location for this service
        - `address2` (string, optional, nullable) — Second part of the address of the location for this service
        - `city` (string, optional, nullable) — City of the location
        - `country` (string, optional, nullable) — Country of the location
        - `email` (string, optional, nullable) — Email of the location for this service
        - `name` (string, optional, nullable) — Name to use in the address of the location for this service
        - `phone_number` (string, optional, nullable) — Phone Number of the location for this service
        - `state` (string, optional, nullable) — State of the location
        - `zip_code` (string, optional, nullable) — Zip code of the location
      - `enabled` (boolean, optional) — Indicates if the user is authorized to access this service at the location
      - `service_type` (enum, optional)
        - Allowed values: `Receiving`, `Returns`
    - `timezone` (string, optional, nullable) — Time zone of the location
  - Locations.InternalLocationViewModel
    - `abbreviation` (string, optional, nullable) — Abbreviation of the location. Combination of nearest Airport Code and the sequence number.
    - `access_granted` (boolean, optional) — Indicates whether or not the user is authorized to interact at all with the location
    - `attributes` (list of string, optional, nullable) — Available attributes for the location
    - `fulfillment_center_attributes` (list of object, optional, nullable)
      - `id` (integer, optional) — Unique Id for the fulfillment center attribute
      - `name` (string, optional, nullable) — Name of the attribute.
    - `fulfillment_center_type` (object or object, optional, nullable)
      - Locations.FcTypeViewModel
        - `id` (integer, optional) — Unique Id for the fulfillment center type
        - `name` (string, optional, nullable) — Name of the fc type
      - Locations.FcTypeViewModelV2
        - `id` (integer, optional) — Unique Id for the fulfillment center type
        - `name` (string, optional, nullable) — Name of the fc type
        - `organization_roles` (list of object, optional, nullable)
          - `description` (string, optional, nullable)
          - `id` (string, optional)
          - `name` (string, optional, nullable)
        - `organization_type_id` (string, optional)
        - `organization_type_name` (string, optional, nullable)
    - `id` (integer, optional) — Id of the location in ShipBob’s database
    - `is_active` (boolean, optional) — Indicates if the location is operationally active or inactive
    - `is_enabled_for_new_user` (boolean, optional)
    - `is_external` (boolean, optional)
    - `is_receiving_enabled` (boolean, optional) — Indicates if the receiving is enabled for FC
    - `is_shipping_enabled` (boolean, optional) — Indicates if the shipping is enabled for FC
    - `name` (string, optional, nullable) — Name of the location. Follows the naming convention City (State Code) for domestic FCs and City (Country Code) for international FCs
    - `region` (object, optional)
      - `id` (integer, optional) — Unique Id for the location region
      - `name` (string, optional, nullable) — Name of the region the location is in.
    - `services` (list of object, optional, nullable) — Services provided by the location
      - `address` (object, optional) — The service-specific address of the location. Each object contains address type, address1, address2, city, state, country, zip code, phone number, and email
        - `address1` (string, optional, nullable) — First part of the address of the location for this service
        - `address2` (string, optional, nullable) — Second part of the address of the location for this service
        - `city` (string, optional, nullable) — City of the location
        - `country` (string, optional, nullable) — Country of the location
        - `email` (string, optional, nullable) — Email of the location for this service
        - `name` (string, optional, nullable) — Name to use in the address of the location for this service
        - `phone_number` (string, optional, nullable) — Phone Number of the location for this service
        - `state` (string, optional, nullable) — State of the location
        - `zip_code` (string, optional, nullable) — Zip code of the location
      - `enabled` (boolean, optional) — Indicates if the user is authorized to access this service at the location
      - `service_type` (enum, optional)
        - Allowed values: `Receiving`, `Returns`
    - `timezone` (string, optional, nullable) — Time zone of the location
  - Locations.InternalLocationViewModelV2
    - `abbreviation` (string, optional, nullable) — Abbreviation of the location. Combination of nearest Airport Code and the sequence number.
    - `access_granted` (boolean, optional) — Indicates whether or not the user is authorized to interact at all with the location
    - `attributes` (list of string, optional, nullable) — Available attributes for the location
    - `fulfillment_center_attributes` (list of object, optional, nullable)
      - `id` (integer, optional) — Unique Id for the fulfillment center attribute
      - `name` (string, optional, nullable) — Name of the attribute.
    - `fulfillment_center_type` (object or object, optional, nullable)
      - Locations.FcTypeViewModel
        - `id` (integer, optional) — Unique Id for the fulfillment center type
        - `name` (string, optional, nullable) — Name of the fc type
      - Locations.FcTypeViewModelV2
        - `id` (integer, optional) — Unique Id for the fulfillment center type
        - `name` (string, optional, nullable) — Name of the fc type
        - `organization_roles` (list of object, optional, nullable)
          - `description` (string, optional, nullable)
          - `id` (string, optional)
          - `name` (string, optional, nullable)
        - `organization_type_id` (string, optional)
        - `organization_type_name` (string, optional, nullable)
    - `id` (integer, optional) — Id of the location in ShipBob’s database
    - `is_active` (boolean, optional) — Indicates if the location is operationally active or inactive
    - `is_enabled_for_new_user` (boolean, optional)
    - `is_receiving_enabled` (boolean, optional) — Indicates if the receiving is enabled for FC
    - `is_shipping_enabled` (boolean, optional) — Indicates if the shipping is enabled for FC
    - `max_sku_allowed` (integer, optional, nullable)
    - `name` (string, optional, nullable) — Name of the location. Follows the naming convention City (State Code) for domestic FCs and City (Country Code) for international FCs
    - `organization_id` (string, optional)
    - `owner_id` (string, optional, nullable)
    - `parent_id` (string, optional, nullable)
    - `receiving_hub` (object, optional)
      - `id` (integer, optional) — Unique Id for the fulfillment center
      - `name` (string, optional, nullable) — Name for the fulfillment center
    - `region` (object, optional)
      - `id` (integer, optional) — Unique Id for the location region
      - `name` (string, optional, nullable) — Name of the region the location is in.
    - `services` (list of object, optional, nullable) — Services provided by the location
      - `address` (object, optional) — The service-specific address of the location. Each object contains address type, address1, address2, city, state, country, zip code, phone number, and email
        - `address1` (string, optional, nullable) — First part of the address of the location for this service
        - `address2` (string, optional, nullable) — Second part of the address of the location for this service
        - `city` (string, optional, nullable) — City of the location
        - `country` (string, optional, nullable) — Country of the location
        - `email` (string, optional, nullable) — Email of the location for this service
        - `name` (string, optional, nullable) — Name to use in the address of the location for this service
        - `phone_number` (string, optional, nullable) — Phone Number of the location for this service
        - `state` (string, optional, nullable) — State of the location
        - `zip_code` (string, optional, nullable) — Zip code of the location
      - `enabled` (boolean, optional) — Indicates if the user is authorized to access this service at the location
      - `service_type` (enum, optional)
        - Allowed values: `Receiving`, `Returns`
    - `sort_center` (object, optional)
      - `id` (integer, optional) — Unique Id for the fulfillment center
      - `name` (string, optional, nullable) — Name for the fulfillment center
    - `timezone` (string, optional, nullable) — Time zone of the location
  - Locations.LocationViewModelV2
    - `abbreviation` (string, optional, nullable) — Abbreviation of the location. Combination of nearest Airport Code and the sequence number.
    - `access_granted` (boolean, optional) — Indicates whether or not the user is authorized to interact at all with the location
    - `attributes` (list of string, optional, nullable) — Available attributes for the location
    - `id` (integer, optional) — Id of the location in ShipBob’s database
    - `is_active` (boolean, optional) — Indicates if the location is operationally active or inactive
    - `is_receiving_enabled` (boolean, optional) — Indicates if the receiving is enabled for FC
    - `is_shipping_enabled` (boolean, optional) — Indicates if the shipping is enabled for FC
    - `name` (string, optional, nullable) — Name of the location. Follows the naming convention City (State Code) for domestic FCs and City (Country Code) for international FCs
    - `organization_id` (string, optional)
    - `owner_id` (string, optional, nullable)
    - `parent_id` (string, optional, nullable)
    - `region` (object, optional)
      - `id` (integer, optional) — Unique Id for the location region
      - `name` (string, optional, nullable) — Name of the region the location is in.
    - `services` (list of object, optional, nullable) — Services provided by the location
      - `address` (object, optional) — The service-specific address of the location. Each object contains address type, address1, address2, city, state, country, zip code, phone number, and email
        - `address1` (string, optional, nullable) — First part of the address of the location for this service
        - `address2` (string, optional, nullable) — Second part of the address of the location for this service
        - `city` (string, optional, nullable) — City of the location
        - `country` (string, optional, nullable) — Country of the location
        - `email` (string, optional, nullable) — Email of the location for this service
        - `name` (string, optional, nullable) — Name to use in the address of the location for this service
        - `phone_number` (string, optional, nullable) — Phone Number of the location for this service
        - `state` (string, optional, nullable) — State of the location
        - `zip_code` (string, optional, nullable) — Zip code of the location
      - `enabled` (boolean, optional) — Indicates if the user is authorized to access this service at the location
      - `service_type` (enum, optional)
        - Allowed values: `Receiving`, `Returns`
    - `timezone` (string, optional, nullable) — Time zone of the location

## Errors

### 401 Unauthorized Error

Authorization missing or invalid

- `any`

### 403 Forbidden Error

The provided credentials are not authorized to access this resource

- `any`

## Examples

**Response**

```json
[
  {
    "abbreviation": "string",
    "access_granted": true,
    "attributes": [
      "string"
    ],
    "id": 0,
    "is_active": true,
    "is_receiving_enabled": true,
    "is_shipping_enabled": true,
    "name": "string",
    "region": {
      "id": 0,
      "name": "string"
    },
    "services": [
      {
        "address": {
          "address1": "string",
          "address2": "string",
          "city": "string",
          "country": "string",
          "email": "string",
          "name": "string",
          "phone_number": "string",
          "state": "string",
          "zip_code": "string"
        },
        "enabled": true,
        "service_type": "Receiving"
      }
    ],
    "timezone": "string"
  }
]
```

**SDK Code**

```python Locations_getLocations_example
import requests

url = "https://api.shipbob.com/2025-07/location"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Locations_getLocations_example
const url = 'https://api.shipbob.com/2025-07/location';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Locations_getLocations_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.shipbob.com/2025-07/location"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Locations_getLocations_example
require 'uri'
require 'net/http'

url = URI("https://api.shipbob.com/2025-07/location")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Locations_getLocations_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.shipbob.com/2025-07/location")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Locations_getLocations_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.shipbob.com/2025-07/location', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Locations_getLocations_example
using RestSharp;

var client = new RestClient("https://api.shipbob.com/2025-07/location");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Locations_getLocations_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/2025-07/location")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```